#!/usr/bin/python

"""
    This module contains the deployment script to the TK deployment demo
"""

import os, os.path, sys
from deploymentData import ATSTATE,FAILURE,UPDATE,REFRESH,REBOOT,UNSUPPORTED

def runState(restore=0):
    import time
    time.sleep(3)
    state = ATSTATE
    return state

if __name__ == '__main__':
    
    if len(sys.argv) == 1:
        restore = 0
    elif len(sys.argv) == 2 and sys.argv[1] == '0':
        restore = 0
    else:
        restore = 1
    state = runState(restore)
    if state == REBOOT:
        print "System must be reset to effect changes to the system"
    sys.exit(state)
